# Filename: tri_translate.py
# Purpose: Translate a triangulation by an x/y/z shift.
# Returns: Bool.

from maptek import vulcan

input_tri = 'bench.00t' # input triangulation

# set how much you want to move the triangulation
x_shift = 10.0
y_shift = 5.0
z_shift = -10.0

shift = vulcan.point(x_shift, y_shift, z_shift) # create point

with vulcan.triangulation(input_tri, 'w') as tri: # open in write mode
    tri.translate(shift)